echo.
@echo Compile the demo for all supported platforms

@ls -1 make_*_settings.mk > platform_settings_list.txt
@setlocal   ENABLEDELAYEDEXPANSION
@type platform_settings_list.txt

@echo.
@echo Copyright 2014 Albrecht Weinert   ++ a.weinert.de  ++ 
@echo $Revision: 1 $, $Date: 2017-01-25 11:03:06 +0000 (Wed, 25 Jan 2017) $ 
@echo.
@echo ==================================================================
@echo.

@for /F  %%i in (platform_settings_list.txt) do @(
 @set varLoop=%%i
 @echo cleaning up for !varLoop:~5,-12!
 make PLATFORM=!varLoop:~5,-12! clean_app application
 @if ERRORLEVEL 1 (
   @echo error for demo on !varLoop:~5,-12!
   @pause
 )
 @echo ==================================================================
 @echo.
)
@echo.